Bug 1428258 - jboss-jstl-1.2-api: FTBFS in EPEL 7
Summary: jboss-jstl-1.2-api: FTBFS in EPEL 7
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: jboss-jstl-1.2-api
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michael Mráka
QA Contact: Fedora Extras Quality Assurance
URL: http://apps.fedoraproject.org/koschei...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-02 07:07 UTC by gil cattaneo
Modified: 2017-05-30 16:54 UTC (History)
1 user (show)

Fixed In Version: jboss-jstl-1.2-api-1.0.3-15.1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-30 16:54:16 UTC
Type: Bug


Attachments (Terms of Use)

Description gil cattaneo 2017-03-02 07:07:02 UTC
Description of problem:
Package jboss-jstl-1.2-api fails to build from source in EPEL 7.

[ERROR] Failed to execute goal org.apache.maven.plugins:maven-javadoc-plugin:2.9:aggregate (default-cli) on project jboss-jstl-api_1.2_spec: An error has occurred in JavaDocs report generation:
[ERROR] Exit code: 1 - /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/tei/Util.java:73: warning: no @param for data
[ERROR] public static boolean isSpecified(TagData data, String attributeName) {
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/tei/Util.java:73: warning: no @param for attributeName
[ERROR] public static boolean isSpecified(TagData data, String attributeName) {
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/tei/Util.java:73: warning: no @return
[ERROR] public static boolean isSpecified(TagData data, String attributeName) {
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/tei/XmlParseTEI.java:66: error: malformed HTML
[ERROR] * <x:parse>'s attributes</p>
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/tei/XmlParseTEI.java:66: error: bad use of '>'
[ERROR] * <x:parse>'s attributes</p>
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/resources/Resources.java:102: warning: no @param for name
[ERROR] public static String getMessage(String name)
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/resources/Resources.java:102: warning: no @return
[ERROR] public static String getMessage(String name)
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/resources/Resources.java:108: warning: no @param for name
[ERROR] public static String getMessage(String name, Object[] a)
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/resources/Resources.java:108: warning: no @param for a
[ERROR] public static String getMessage(String name, Object[] a)
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/resources/Resources.java:108: warning: no @return
[ERROR] public static String getMessage(String name, Object[] a)
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/resources/Resources.java:115: warning: no @param for name
[ERROR] public static String getMessage(String name, Object a1)
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/resources/Resources.java:115: warning: no @param for a1
[ERROR] public static String getMessage(String name, Object a1)
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/resources/Resources.java:115: warning: no @return
[ERROR] public static String getMessage(String name, Object a1)
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/resources/Resources.java:121: warning: no @param for name
[ERROR] public static String getMessage(String name, Object a1, Object a2)
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/resources/Resources.java:121: warning: no @param for a1
[ERROR] public static String getMessage(String name, Object a1, Object a2)
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/resources/Resources.java:121: warning: no @param for a2
[ERROR] public static String getMessage(String name, Object a1, Object a2)
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/resources/Resources.java:121: warning: no @return
[ERROR] public static String getMessage(String name, Object a1, Object a2)
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/resources/Resources.java:127: warning: no @param for name
[ERROR] public static String getMessage(String name,
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/resources/Resources.java:127: warning: no @param for a1
[ERROR] public static String getMessage(String name,
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/resources/Resources.java:127: warning: no @param for a2
[ERROR] public static String getMessage(String name,
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/resources/Resources.java:127: warning: no @param for a3
[ERROR] public static String getMessage(String name,
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/resources/Resources.java:127: warning: no @return
[ERROR] public static String getMessage(String name,
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/resources/Resources.java:136: warning: no @param for name
[ERROR] public static String getMessage(String name,
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/resources/Resources.java:136: warning: no @param for a1
[ERROR] public static String getMessage(String name,
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/resources/Resources.java:136: warning: no @param for a2
[ERROR] public static String getMessage(String name,
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/resources/Resources.java:136: warning: no @param for a3
[ERROR] public static String getMessage(String name,
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/resources/Resources.java:136: warning: no @param for a4
[ERROR] public static String getMessage(String name,
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/resources/Resources.java:136: warning: no @return
[ERROR] public static String getMessage(String name,
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/resources/Resources.java:146: warning: no @param for name
[ERROR] public static String getMessage(String name,
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/resources/Resources.java:146: warning: no @param for a1
[ERROR] public static String getMessage(String name,
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/resources/Resources.java:146: warning: no @param for a2
[ERROR] public static String getMessage(String name,
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/resources/Resources.java:146: warning: no @param for a3
[ERROR] public static String getMessage(String name,
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/resources/Resources.java:146: warning: no @param for a4
[ERROR] public static String getMessage(String name,
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/resources/Resources.java:146: warning: no @param for a5
[ERROR] public static String getMessage(String name,
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/resources/Resources.java:146: warning: no @return
[ERROR] public static String getMessage(String name,
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/resources/Resources.java:157: warning: no @param for name
[ERROR] public static String getMessage(String name,
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/resources/Resources.java:157: warning: no @param for a1
[ERROR] public static String getMessage(String name,
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/resources/Resources.java:157: warning: no @param for a2
[ERROR] public static String getMessage(String name,
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/resources/Resources.java:157: warning: no @param for a3
[ERROR] public static String getMessage(String name,
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/resources/Resources.java:157: warning: no @param for a4
[ERROR] public static String getMessage(String name,
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/resources/Resources.java:157: warning: no @param for a5
[ERROR] public static String getMessage(String name,
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/resources/Resources.java:157: warning: no @param for a6
[ERROR] public static String getMessage(String name,
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/resources/Resources.java:157: warning: no @return
[ERROR] public static String getMessage(String name,
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/lang/support/ExpressionEvaluator.java:92: warning: no @param for attributeName
[ERROR] public String validate(String attributeName,
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/lang/support/ExpressionEvaluator.java:92: warning: no @param for expression
[ERROR] public String validate(String attributeName,
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/lang/support/ExpressionEvaluator.java:92: warning: no @return
[ERROR] public String validate(String attributeName,
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/lang/support/ExpressionEvaluator.java:98: warning: no @param for attributeName
[ERROR] public Object evaluate(String attributeName,
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/lang/support/ExpressionEvaluator.java:98: warning: no @param for expression
[ERROR] public Object evaluate(String attributeName,
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/lang/support/ExpressionEvaluator.java:98: warning: no @param for expectedType
[ERROR] public Object evaluate(String attributeName,
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/lang/support/ExpressionEvaluator.java:98: warning: no @param for tag
[ERROR] public Object evaluate(String attributeName,
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/lang/support/ExpressionEvaluator.java:98: warning: no @param for pageContext
[ERROR] public Object evaluate(String attributeName,
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/lang/support/ExpressionEvaluator.java:98: warning: no @return
[ERROR] public Object evaluate(String attributeName,
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/lang/support/ExpressionEvaluator.java:98: warning: no @throws for javax.servlet.jsp.JspException
[ERROR] public Object evaluate(String attributeName,
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/lang/support/ExpressionEvaluatorManager.java:105: warning: no @param for attributeName
[ERROR] public static Object evaluate(String attributeName,
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/lang/support/ExpressionEvaluatorManager.java:105: warning: no @param for expression
[ERROR] public static Object evaluate(String attributeName,
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/lang/support/ExpressionEvaluatorManager.java:105: warning: no @param for expectedType
[ERROR] public static Object evaluate(String attributeName,
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/lang/support/ExpressionEvaluatorManager.java:105: warning: no @param for tag
[ERROR] public static Object evaluate(String attributeName,
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/lang/support/ExpressionEvaluatorManager.java:105: warning: no @param for pageContext
[ERROR] public static Object evaluate(String attributeName,
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/lang/support/ExpressionEvaluatorManager.java:105: warning: no @return
[ERROR] public static Object evaluate(String attributeName,
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/lang/support/ExpressionEvaluatorManager.java:105: warning: no @throws for javax.servlet.jsp.JspException
[ERROR] public static Object evaluate(String attributeName,
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/lang/support/ExpressionEvaluatorManager.java:125: warning: no @param for attributeName
[ERROR] public static Object evaluate(String attributeName,
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/lang/support/ExpressionEvaluatorManager.java:125: warning: no @param for expression
[ERROR] public static Object evaluate(String attributeName,
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/lang/support/ExpressionEvaluatorManager.java:125: warning: no @param for expectedType
[ERROR] public static Object evaluate(String attributeName,
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/lang/support/ExpressionEvaluatorManager.java:125: warning: no @param for pageContext
[ERROR] public static Object evaluate(String attributeName,
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/lang/support/ExpressionEvaluatorManager.java:125: warning: no @return
[ERROR] public static Object evaluate(String attributeName,
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/lang/support/ExpressionEvaluatorManager.java:125: warning: no @throws for javax.servlet.jsp.JspException
[ERROR] public static Object evaluate(String attributeName,
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/lang/support/ExpressionEvaluatorManager.java:145: warning: no @param for name
[ERROR] ExpressionEvaluator getEvaluatorByName(String name)
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/lang/support/ExpressionEvaluatorManager.java:145: warning: no @return
[ERROR] ExpressionEvaluator getEvaluatorByName(String name)
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/lang/support/ExpressionEvaluatorManager.java:145: warning: no @throws for javax.servlet.jsp.JspException
[ERROR] ExpressionEvaluator getEvaluatorByName(String name)
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/lang/support/ExpressionEvaluatorManager.java:181: warning: no @param for value
[ERROR] public static Object coerce(Object value, Class classe)
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/lang/support/ExpressionEvaluatorManager.java:181: warning: no @param for classe
[ERROR] public static Object coerce(Object value, Class classe)
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/lang/support/ExpressionEvaluatorManager.java:181: warning: no @return
[ERROR] public static Object coerce(Object value, Class classe)
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/lang/support/ExpressionEvaluatorManager.java:181: warning: no @throws for javax.servlet.jsp.JspException
[ERROR] public static Object coerce(Object value, Class classe)
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/lang/jstl/BinaryOperator.java:87: warning: no @return
[ERROR] public abstract String getOperatorSymbol ();
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/lang/jstl/BinaryOperator.java:94: warning: no @param for pLeft
[ERROR] public abstract Object apply (Object pLeft,
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/lang/jstl/BinaryOperator.java:94: warning: no @param for pRight
[ERROR] public abstract Object apply (Object pLeft,
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/lang/jstl/BinaryOperator.java:94: warning: no @param for pContext
[ERROR] public abstract Object apply (Object pLeft,
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/lang/jstl/BinaryOperator.java:94: warning: no @param for pLogger
[ERROR] public abstract Object apply (Object pLeft,
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/lang/jstl/BinaryOperator.java:94: warning: no @return
[ERROR] public abstract Object apply (Object pLeft,
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/lang/jstl/BinaryOperator.java:94: warning: no @throws for org.apache.taglibs.standard.lang.jstl.ELException
[ERROR] public abstract Object apply (Object pLeft,
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/lang/jstl/BinaryOperator.java:106: warning: no @param for pLeft
[ERROR] public boolean shouldEvaluate (Object pLeft)
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/lang/jstl/BinaryOperator.java:106: warning: no @return
[ERROR] public boolean shouldEvaluate (Object pLeft)
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/lang/jstl/BinaryOperator.java:117: warning: no @return
[ERROR] public boolean shouldCoerceToBoolean ()
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/lang/jstl/ArithmeticOperator.java:91: warning: no @param for pLeft
[ERROR] public abstract double apply (double pLeft,
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/lang/jstl/ArithmeticOperator.java:91: warning: no @param for pRight
[ERROR] public abstract double apply (double pLeft,
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/lang/jstl/ArithmeticOperator.java:91: warning: no @param for pLogger
[ERROR] public abstract double apply (double pLeft,
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/lang/jstl/ArithmeticOperator.java:91: warning: no @return
[ERROR] public abstract double apply (double pLeft,
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/lang/jstl/ArithmeticOperator.java:100: warning: no @param for pLeft
[ERROR] public abstract long apply (long pLeft,
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/lang/jstl/ArithmeticOperator.java:100: warning: no @param for pRight
[ERROR] public abstract long apply (long pLeft,
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/lang/jstl/ArithmeticOperator.java:100: warning: no @param for pLogger
[ERROR] public abstract long apply (long pLeft,
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/lang/jstl/ArithmeticOperator.java:100: warning: no @return
[ERROR] public abstract long apply (long pLeft,
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/lang/jstl/ValueSuffix.java:81: warning: no @return
[ERROR] public abstract String getExpressionString ();
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/lang/jstl/ValueSuffix.java:89: warning: no @param for pValue
[ERROR] public abstract Object evaluate (Object pValue,
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/lang/jstl/ValueSuffix.java:89: warning: no @param for pContext
[ERROR] public abstract Object evaluate (Object pValue,
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/lang/jstl/ValueSuffix.java:89: warning: no @param for pResolver
[ERROR] public abstract Object evaluate (Object pValue,
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/lang/jstl/ValueSuffix.java:89: warning: no @param for functions
[ERROR] public abstract Object evaluate (Object pValue,
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/lang/jstl/ValueSuffix.java:89: warning: no @param for defaultPrefix
[ERROR] public abstract Object evaluate (Object pValue,
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/lang/jstl/ValueSuffix.java:89: warning: no @param for pLogger
[ERROR] public abstract Object evaluate (Object pValue,
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/lang/jstl/ValueSuffix.java:89: warning: no @return
[ERROR] public abstract Object evaluate (Object pValue,
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/lang/jstl/ValueSuffix.java:89: warning: no @throws for org.apache.taglibs.standard.lang.jstl.ELException
[ERROR] public abstract Object evaluate (Object pValue,
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/lang/jstl/ArraySuffix.java:72: error: tag not allowed here: <pre>
[ERROR] * <ul><pre>
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/lang/jstl/ArraySuffix.java:137: warning: no @param for pIndex
[ERROR] public ArraySuffix (Expression pIndex)
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/lang/jstl/BeanInfoIndexedProperty.java:161: warning: no @param for pReadMethod
[ERROR] public BeanInfoIndexedProperty
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/lang/jstl/Coercions.java:72: error: tag not allowed here: <pre>
[ERROR] * <ul><pre>
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/lang/jstl/Coercions.java:141: error: malformed HTML
[ERROR] *   A {<,>,<=,>=,lt,gt,lte,gte} B
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/lang/jstl/Coercions.java:141: error: bad use of '>'
[ERROR] *   A {<,>,<=,>=,lt,gt,lte,gte} B
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/lang/jstl/Coercions.java:141: error: malformed HTML
[ERROR] *   A {<,>,<=,>=,lt,gt,lte,gte} B
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/lang/jstl/Coercions.java:141: error: bad use of '>'
[ERROR] *   A {<,>,<=,>=,lt,gt,lte,gte} B
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/lang/jstl/Coercions.java:143: error: bad use of '>'
[ERROR] *       if operator is >= or <=
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/lang/jstl/Coercions.java:143: error: malformed HTML
[ERROR] *       if operator is >= or <=
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/lang/jstl/parser/ParseException.java:82: error: unknown tag: result
[ERROR] *     ParseException: <result of getMessage>
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/tag/common/core/OutSupport.java:177: error: bad HTML entity
[ERROR] *    & -> &amp;
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/tag/common/core/OutSupport.java:177: error: bad use of '>'
[ERROR] *    & -> &amp;
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/tag/common/core/OutSupport.java:178: error: malformed HTML
[ERROR] *    < -> &lt;
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/tag/common/core/OutSupport.java:178: error: bad use of '>'
[ERROR] *    < -> &lt;
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/tag/common/core/OutSupport.java:179: error: bad use of '>'
[ERROR] *    > -> &gt;
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/tag/common/core/OutSupport.java:179: error: bad use of '>'
[ERROR] *    > -> &gt;
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/tag/common/core/OutSupport.java:180: error: bad use of '>'
[ERROR] *    " -> &#034;
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/tag/common/core/OutSupport.java:181: error: bad use of '>'
[ERROR] *    ' -> &#039;
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/tag/common/core/ParamSupport.java:75: error: unexpected text
[ERROR] * @see ParamParent, ImportSupport, URLEncodeSupport
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/tag/common/core/Util.java:163: error: bad HTML entity
[ERROR] *    & -> &amp;
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/tag/common/core/Util.java:163: error: bad use of '>'
[ERROR] *    & -> &amp;
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/tag/common/core/Util.java:164: error: malformed HTML
[ERROR] *    < -> &lt;
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/tag/common/core/Util.java:164: error: bad use of '>'
[ERROR] *    < -> &lt;
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/tag/common/core/Util.java:165: error: bad use of '>'
[ERROR] *    > -> &gt;
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/tag/common/core/Util.java:165: error: bad use of '>'
[ERROR] *    > -> &gt;
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/tag/common/core/Util.java:166: error: bad use of '>'
[ERROR] *    " -> &#034;
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/tag/common/core/Util.java:167: error: bad use of '>'
[ERROR] *    ' -> &#039;
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/tag/common/fmt/BundleSupport.java:200: error: @param name not found
[ERROR] * @param pageContext Page in which the resource bundle with the
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/tag/common/xml/JSTLXPathNamespaceContext.java:97: error: @param name not found
[ERROR] * @param Prefix Parameter
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/tag/common/xml/JSTLXPathNamespaceContext.java:129: error: @param name not found
[ERROR] * @param Namespace URI
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/tag/common/xml/JSTLXPathNamespaceContext.java:165: error: @param name not found
[ERROR] * @param Namespace URI
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/tag/common/xml/JSTLXPathVariableResolver.java:108: error: @param name not found
[ERROR] * @param QName variable name
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/tag/common/xml/UnresolvableException.java:64: error: element not allowed in documentation comments: <meta>
[ERROR] * <meta name="usage" content="general"/>
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/tag/common/xml/UnresolvableException.java:64: error: unknown attribute: name
[ERROR] * <meta name="usage" content="general"/>
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/tag/common/xml/UnresolvableException.java:64: error: unknown attribute: content
[ERROR] * <meta name="usage" content="general"/>
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/tag/common/xml/XPathUtil.java:340: error: no tag name after @
[ERROR] * @@@ Provide more details...
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/tag/common/xml/XPathUtil.java:340: error: no tag name after @
[ERROR] * @@@ Provide more details...
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/tag/common/xml/XPathUtil.java:340: error: no tag name after @
[ERROR] * @@@ Provide more details...
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/tag/common/sql/DriverManagerAccessor.java:13: error: self-closing element not allowed
[ERROR] * <p/>
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/tag/common/sql/DriverManagerAccessor.java:18: error: self-closing element not allowed
[ERROR] * <p/>
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/tag/common/sql/ResultImpl.java:98: error: unexpected text
[ERROR] * @exception if a database error occurs
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/Version.java:63: error: element not allowed in documentation comments: <meta>
[ERROR] * <meta name="usage" content="general"/>
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/Version.java:63: error: unknown attribute: name
[ERROR] * <meta name="usage" content="general"/>
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/Version.java:63: error: unknown attribute: content
[ERROR] * <meta name="usage" content="general"/>
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/tlv/JstlCoreTLV.java:79: error: unknown tag: set
[ERROR] *      particular attributes.  (E.g., <set> cannot have a body when
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/org/apache/taglibs/standard/extra/spath/ParseException.java:82: error: unknown tag: result
[ERROR] *     ParseException: <result of getMessage>
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/src/main/java/javax/servlet/jsp/jstl/core/LoopTagSupport.java:93: error: bad use of '>'
[ERROR] *  <li> Subsetting (<tt>begin</tt>, <tt>end</tt>, <tt>step></tt>functionality,
[ERROR] ^
[ERROR] 
[ERROR] Command line was: /usr/lib/jvm/java-1.8.0-openjdk-1.8.0.121-0.b13.el7_3.x86_64/jre/../bin/javadoc @options @packages
[ERROR] 
[ERROR] Refer to the generated Javadoc files in '/builddir/build/BUILD/jboss-jstl-1.2-api-1.0.3.Final/target/site/apidocs' dir.
[ERROR] -> [Help 1]
Version-Release number of selected component (if applicable):
1.0.3-13.el7

Steps to Reproduce:
koji build --scratch epel7 jboss-jstl-1.2-api-1.0.3-13.el7.src.rpm

Additional info:
This package is tracked by Koschei. See:
http://apps.fedoraproject.org/koschei/package/jboss-jstl-1.2-api

Comment 1 Michael Mráka 2017-05-11 06:28:25 UTC
commit 4c78fe4a60301327ebd12f2e2e5a3500593fe5b6
    Fixed FTBFS in EPEL7 RHBZ#1428258
    rebased and disabled doclint

Comment 2 Fedora Update System 2017-05-11 06:33:07 UTC
jboss-jstl-1.2-api-1.0.3-15.1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-9f50bdfbb2

Comment 3 Fedora Update System 2017-05-12 19:55:59 UTC
jboss-jstl-1.2-api-1.0.3-15.1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-9f50bdfbb2

Comment 4 Fedora Update System 2017-05-30 16:54:16 UTC
jboss-jstl-1.2-api-1.0.3-15.1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.